package owg.lgm;

import java.nio.FloatBuffer;

import com.jogamp.opengl.GL2ES1;

import owg.lgm.gl.BufferUsage;
import owg.lgm.gl.PrimitiveBuffer;
import owg.lgm.gl.VertexAttribute;
import owg.util.color.ARGB;

public class DrawPrimitive extends PrimitiveBuffer
{
	public static final int DEFAULT_BUFFER_SIZE_VERTS = 64;
	
	public DrawPrimitive(GL2ES1 gl)
	{
		this(gl, DEFAULT_BUFFER_SIZE_VERTS, BufferUsage.DYNAMIC_DRAW);
	}

	public DrawPrimitive(GL2ES1 gl, int bufferSizeVerts, BufferUsage usage)
	{
		super(gl, bufferSizeVerts, usage,
				new VertexComponent(VertexAttribute.POSITION, 2),
				new VertexComponent(VertexAttribute.TEXTURE_COORDINATE_0, 2),
				new VertexComponent(VertexAttribute.COLOR, 4)
		);
	}
	
	public void vertex(double x, double y, double tx, double ty, int rgb, double a)
	{
		FloatBuffer b = buffer();
		b.put((float)x).put((float)y).put((float)tx).put((float)ty);
		b.put(ARGB.rf(rgb)).put(ARGB.gf(rgb)).put(ARGB.bf(rgb)).put((float)a);
	}
}

