package owg.lgm.ar1.main;

import owg.lgm.GameConfig;
import owg.lgm.ar1.accessories.AR1CreationCodes;
import owg.lgm.ar1.accessories.AR1Globals;

public class AR1GameConfig extends GameConfig
{
    public AR1GameConfig()
    {
        name = "AR1";
        icons = new String[2];
        icons[0] = "icon16x16.png";
        icons[1] = "icon32x32.png";
        creationCodes = new AR1CreationCodes();
        global = AR1Globals.global;
        polyphony = 1;
        
        fullscreen = true;
        resizeable = true;
        scaling = 100;
        stayOnTop = false;
        borderless = false;
        vsync = false;
        colorOutsideRoom = -16777216;
        showCursor = true;
        
        letF4SwitchFullscreen = false;
        letF1ShowGameInfo = true;
        letEscEndGame = false;
        letF5SaveF6Load = false;
        letF9Screenshot = true;
        treatCloseAsEscape = true;
        freezeOnFocusLoss = false;
        
        splashImage = "splash.png";
        splashImageAlpha = 255;
        scaleProgressBar = true;
        fillerImage = "filler.png";
        progressImage = "progress.png";
        
        progressX = 64.0/256.0;
        progressY = 112.0/224.0;
        progressW = 0.5;
        progressH = 16.0/224.0;        
        
        objects.put("innshopin", owg.lgm.ar1.gates1.Innshopin.class);
        objects.put("innshopex", owg.lgm.ar1.gates1.Innshopex.class);
        objects.put("barinn", owg.lgm.ar1.gates1.Barinn.class);
        objects.put("barin2", owg.lgm.ar1.gates1.Barin2.class);
        objects.put("barexx", owg.lgm.ar1.gates1.Barexx.class);
        objects.put("barexx2", owg.lgm.ar1.gates1.Barexx2.class);
        objects.put("noentr", owg.lgm.ar1.gates1.Noentr.class);
        objects.put("needkii", owg.lgm.ar1.gates1.Needkii.class);
        objects.put("goout", owg.lgm.ar1.gates1.Goout.class);
        objects.put("gototown", owg.lgm.ar1.gates1.Gototown.class);
        objects.put("gotobacdes", owg.lgm.ar1.gates1.Gotobacdes.class);
        objects.put("gotomount", owg.lgm.ar1.gates1.Gotomount.class);
        objects.put("goleftmount", owg.lgm.ar1.gates1.Goleftmount.class);
        objects.put("gotobosson", owg.lgm.ar1.gates1.Gotobosson.class);
        objects.put("gotoshuse", owg.lgm.ar1.gates1.Gotoshuse.class);
        objects.put("gooutofhus", owg.lgm.ar1.gates1.Gooutofhus.class);
        objects.put("goincaved", owg.lgm.ar1.gates1.Goincaved.class);
        objects.put("gotowncsv", owg.lgm.ar1.gates1.Gotowncsv.class);
        objects.put("portback", owg.lgm.ar1.gates1.Portback.class);
        objects.put("toports", owg.lgm.ar1.gates1.Toports.class);
        objects.put("fromports", owg.lgm.ar1.gates1.Fromports.class);
        objects.put("noffin", owg.lgm.ar1.gates1.Noffin.class);
        objects.put("tojungtown", owg.lgm.ar1.gates1.Tojungtown.class);
        objects.put("fromjungtw", owg.lgm.ar1.gates1.Fromjungtw.class);
        objects.put("tobotomjung", owg.lgm.ar1.gates1.Tobotomjung.class);
        objects.put("tokyfromjung", owg.lgm.ar1.gates1.Tokyfromjung.class);
        objects.put("goutainn", owg.lgm.ar1.gates1.Goutainn.class);
        objects.put("goininn", owg.lgm.ar1.gates1.Goininn.class);
        objects.put("gojunuj", owg.lgm.ar1.gates1.Gojunuj.class);
        objects.put("totwey", owg.lgm.ar1.gates1.Totwey.class);
        objects.put("gotosmbs", owg.lgm.ar1.gates1.Gotosmbs.class);
        objects.put("towise", owg.lgm.ar1.gates1.Towise.class);
        objects.put("fromwise", owg.lgm.ar1.gates1.Fromwise.class);
        objects.put("tomed", owg.lgm.ar1.gates1.Tomed.class);
        objects.put("frommed", owg.lgm.ar1.gates1.Frommed.class);
        objects.put("gate1", owg.lgm.ar1.gates1.Gate1.class);
        objects.put("gate2", owg.lgm.ar1.gates1.Gate2.class);
        objects.put("gate3", owg.lgm.ar1.gates1.Gate3.class);
        objects.put("gate4", owg.lgm.ar1.gates1.Gate4.class);
        objects.put("kardgathr", owg.lgm.ar1.stuff.gathr.Kardgathr.class);
        objects.put("bigkeygathr", owg.lgm.ar1.stuff.gathr.Bigkeygathr.class);
        objects.put("kyholegathr", owg.lgm.ar1.stuff.gathr.Kyholegathr.class);
        objects.put("object473", owg.lgm.ar1.stuff.gathr.Object473.class);
        objects.put("object435", owg.lgm.ar1.stuff.mobelho.Object435.class);
        objects.put("clockz", owg.lgm.ar1.stuff.mobelho.Clockz.class);
        objects.put("bedting", owg.lgm.ar1.stuff.mobelho.Bedting.class);
        objects.put("object430", owg.lgm.ar1.stuff.buton.Object430.class);
        objects.put("elvago", owg.lgm.ar1.stuff.buton.Elvago.class);
        objects.put("opener400", owg.lgm.ar1.stuff.buton.Opener400.class);
        objects.put("butondestb3", owg.lgm.ar1.stuff.buton.Butondestb3.class);
        objects.put("object478", owg.lgm.ar1.stuff.special.Object478.class);
        objects.put("fallnothings", owg.lgm.ar1.stuff.special.Fallnothings.class);
        objects.put("boilingbobbl", owg.lgm.ar1.stuff.special.Boilingbobbl.class);
        objects.put("bigryte", owg.lgm.ar1.stuff.special.Bigryte.class);
        objects.put("elvatblu", owg.lgm.ar1.stuff.special.Elvatblu.class);
        objects.put("elvabosd", owg.lgm.ar1.stuff.special.Elvabosd.class);
        objects.put("object500", owg.lgm.ar1.stuff.special.Object500.class);
        objects.put("object595", owg.lgm.ar1.stuff.special.Object595.class);
        objects.put("dangexp", owg.lgm.ar1.stuff.special.Dangexp.class);
        objects.put("bornobatt", owg.lgm.ar1.stuff.special.Bornobatt.class);
        objects.put("ligthings", owg.lgm.ar1.stuff.special.Ligthings.class);
        objects.put("sandfall", owg.lgm.ar1.stuff.special.Sandfall.class);
        objects.put("dorofbos", owg.lgm.ar1.stuff.special.Dorofbos.class);
        objects.put("bigddorz", owg.lgm.ar1.stuff.special.Bigddorz.class);
        objects.put("behbigh1", owg.lgm.ar1.stuff.special.Behbigh1.class);
        objects.put("behbigh2", owg.lgm.ar1.stuff.special.Behbigh2.class);
        objects.put("behbigh3", owg.lgm.ar1.stuff.special.Behbigh3.class);
        objects.put("object488", owg.lgm.ar1.stuff.special.Object488.class);
        objects.put("object489", owg.lgm.ar1.stuff.special.Object489.class);
        objects.put("object490", owg.lgm.ar1.stuff.special.Object490.class);
        objects.put("object491", owg.lgm.ar1.stuff.special.Object491.class);
        objects.put("object505", owg.lgm.ar1.stuff.special.Object505.class);
        objects.put("object504", owg.lgm.ar1.stuff.special.Object504.class);
        objects.put("altergems", owg.lgm.ar1.stuff.special.Altergems.class);
        objects.put("object605", owg.lgm.ar1.stuff.back.Object605.class);
        objects.put("object606", owg.lgm.ar1.stuff.back.Object606.class);
        objects.put("object607", owg.lgm.ar1.stuff.back.Object607.class);
        objects.put("passivreactor", owg.lgm.ar1.stuff.back.Passivreactor.class);
        objects.put("backlav", owg.lgm.ar1.stuff.back.Backlav.class);
        objects.put("object357", owg.lgm.ar1.stuff.back.Object357.class);
        objects.put("tbalckout", owg.lgm.ar1.stuff.back.Tbalckout.class);
        objects.put("object516", owg.lgm.ar1.stuff.back.Object516.class);
        objects.put("object571", owg.lgm.ar1.stuff.back.Object571.class);
        objects.put("object570", owg.lgm.ar1.stuff.back.Object570.class);
        objects.put("object569", owg.lgm.ar1.stuff.back.Object569.class);
        objects.put("cretdang1", owg.lgm.ar1.stuff.invnous.Cretdang1.class);
        objects.put("cretdang2", owg.lgm.ar1.stuff.invnous.Cretdang2.class);
        objects.put("destonky", owg.lgm.ar1.stuff.invnous.Destonky.class);
        objects.put("destonbe", owg.lgm.ar1.stuff.invnous.Destonbe.class);
        objects.put("destonblu", owg.lgm.ar1.stuff.invnous.Destonblu.class);
        objects.put("destinmuon", owg.lgm.ar1.stuff.invnous.Destinmuon.class);
        objects.put("destinmu2", owg.lgm.ar1.stuff.invnous.Destinmu2.class);
        objects.put("gravityfakd", owg.lgm.ar1.stuff.invnous.Gravityfakd.class);
        objects.put("object545", owg.lgm.ar1.stuff.invnous.Object545.class);
        objects.put("Allitems", owg.lgm.ar1.stuff.invnous.Allitems.class);
        objects.put("boss3ye", owg.lgm.ar1.stuff.boss.Boss3ye.class);
        objects.put("evilreactobj", owg.lgm.ar1.stuff.boss.Evilreactobj.class);
        objects.put("object501", owg.lgm.ar1.stuff.boss.Object501.class);
        objects.put("object525", owg.lgm.ar1.stuff.boss.Object525.class);
        objects.put("Elemboss", owg.lgm.ar1.stuff.boss.Elemboss.class);
        objects.put("object503", owg.lgm.ar1.stuff.boss.Object503.class);
        objects.put("object590", owg.lgm.ar1.stuff.boss.Object590.class);
        objects.put("object604", owg.lgm.ar1.stuff.boss.Object604.class);
        objects.put("downsidd", owg.lgm.ar1.stuff.boss.Downsidd.class);
        objects.put("upsidd", owg.lgm.ar1.stuff.boss.Upsidd.class);
        objects.put("doorlockd1", owg.lgm.ar1.stuff.boss.Doorlockd1.class);
        objects.put("doorlockd2", owg.lgm.ar1.stuff.boss.Doorlockd2.class);
        objects.put("opendisapp", owg.lgm.ar1.stuff.boss.Opendisapp.class);
        objects.put("opdisapp2", owg.lgm.ar1.stuff.boss.Opdisapp2.class);
        objects.put("boomfall", owg.lgm.ar1.stuff.boss.Boomfall.class);
        objects.put("bigboom", owg.lgm.ar1.stuff.boss.Bigboom.class);
        objects.put("lockboss1", owg.lgm.ar1.stuff.boss.Lockboss1.class);
        objects.put("lockboss2", owg.lgm.ar1.stuff.boss.Lockboss2.class);
        objects.put("lockboss3", owg.lgm.ar1.stuff.boss.Lockboss3.class);
        objects.put("standomen", owg.lgm.ar1.stuff.boss.Standomen.class);
        objects.put("boss3killst", owg.lgm.ar1.stuff.boss.Boss3killst.class);
        objects.put("assasainr", owg.lgm.ar1.stuff.boss.Assasainr.class);
        objects.put("weirdboss", owg.lgm.ar1.stuff.boss.Weirdboss.class);
        objects.put("boss1", owg.lgm.ar1.stuff.boss.Boss1.class);
        objects.put("evilteleport", owg.lgm.ar1.stuff.boss.Evilteleport.class);
        objects.put("hitsavedud", owg.lgm.ar1.stuff.gatenot.Hitsavedud.class);
        objects.put("closem", owg.lgm.ar1.stuff.gatenot.Closem.class);
        objects.put("object279", owg.lgm.ar1.stuff.gatenot.Object279.class);
        objects.put("teletoports", owg.lgm.ar1.stuff.telefon.Teletoports.class);
        objects.put("teletopors2", owg.lgm.ar1.stuff.telefon.Teletopors2.class);
        objects.put("teletopors3", owg.lgm.ar1.stuff.telefon.Teletopors3.class);
        objects.put("teletopors4", owg.lgm.ar1.stuff.telefon.Teletopors4.class);
        objects.put("outmachan", owg.lgm.ar1.stuff.animals.Outmachan.class);
        objects.put("objwakot", owg.lgm.ar1.stuff.animals.Objwakot.class);
        objects.put("guylooklava", owg.lgm.ar1.stuff.animals.Guylooklava.class);
        objects.put("guyinlava", owg.lgm.ar1.stuff.animals.Guyinlava.class);
        objects.put("sleewhgrl", owg.lgm.ar1.stuff.animals.Sleewhgrl.class);
        objects.put("object522", owg.lgm.ar1.stuff.animals.Object522.class);
        objects.put("theblackguy", owg.lgm.ar1.stuff.animals.Theblackguy.class);
        objects.put("object511", owg.lgm.ar1.stuff.animals.Object511.class);
        objects.put("civoinmoun", owg.lgm.ar1.stuff.animals.Civoinmoun.class);
        objects.put("mounhous", owg.lgm.ar1.stuff.animals.Mounhous.class);
        objects.put("object517", owg.lgm.ar1.stuff.animals.Object517.class);
        objects.put("object520", owg.lgm.ar1.stuff.animals.Object520.class);
        objects.put("civjumpher", owg.lgm.ar1.stuff.animals.Civjumpher.class);
        objects.put("civimghom", owg.lgm.ar1.stuff.animals.Civimghom.class);
        objects.put("ondatophus", owg.lgm.ar1.stuff.animals.Ondatophus.class);
        objects.put("muths", owg.lgm.ar1.stuff.animals.Muths.class);
        objects.put("object497", owg.lgm.ar1.stuff.animals.Object497.class);
        objects.put("object482", owg.lgm.ar1.stuff.animals.Object482.class);
        objects.put("object483", owg.lgm.ar1.stuff.animals.Object483.class);
        objects.put("papps", owg.lgm.ar1.stuff.animals.Papps.class);
        objects.put("innkeper", owg.lgm.ar1.stuff.animals.Innkeper.class);
        objects.put("barseller", owg.lgm.ar1.stuff.animals.Barseller.class);
        objects.put("barth1", owg.lgm.ar1.stuff.animals.Barth1.class);
        objects.put("object389", owg.lgm.ar1.stuff.animals.Object389.class);
        objects.put("dawitch", owg.lgm.ar1.stuff.animals.Dawitch.class);
        objects.put("barth2", owg.lgm.ar1.stuff.animals.Barth2.class);
        objects.put("barth3", owg.lgm.ar1.stuff.animals.Barth3.class);
        objects.put("barth3out", owg.lgm.ar1.stuff.animals.Barth3out.class);
        objects.put("object378", owg.lgm.ar1.stuff.animals.Object378.class);
        objects.put("object379", owg.lgm.ar1.stuff.animals.Object379.class);
        objects.put("object380", owg.lgm.ar1.stuff.animals.Object380.class);
        objects.put("object300", owg.lgm.ar1.stuff.animals.Object300.class);
        objects.put("object295", owg.lgm.ar1.stuff.animals.Object295.class);
        objects.put("object296", owg.lgm.ar1.stuff.animals.Object296.class);
        objects.put("object297", owg.lgm.ar1.stuff.animals.Object297.class);
        objects.put("object508", owg.lgm.ar1.stuff.animals.Object508.class);
        objects.put("object301", owg.lgm.ar1.stuff.animals.Object301.class);
        objects.put("girlinhous", owg.lgm.ar1.stuff.animals.Girlinhous.class);
        objects.put("guyousaved", owg.lgm.ar1.stuff.animals.Guyousaved.class);
        objects.put("guyusavout", owg.lgm.ar1.stuff.animals.Guyusavout.class);
        objects.put("savemee", owg.lgm.ar1.stuff.animals.Savemee.class);
        objects.put("zzzzleep", owg.lgm.ar1.stuff.animals.Zzzzleep.class);
        objects.put("maspeakw", owg.lgm.ar1.stuff.animals.Maspeakw.class);
        objects.put("maspeakw2", owg.lgm.ar1.stuff.animals.Maspeakw2.class);
        objects.put("medguyd", owg.lgm.ar1.stuff.animals.Medguyd.class);
        objects.put("chil", owg.lgm.ar1.stuff.animals.Chil.class);
        objects.put("follothing", owg.lgm.ar1.stuff.animals.Follothing.class);
        objects.put("evilguy", owg.lgm.ar1.stuff.animals.Evilguy.class);
        objects.put("object543", owg.lgm.ar1.stuff.animals.Object543.class);
        objects.put("fordraw", owg.lgm.ar1.stuff.draw.Fordraw.class);
        objects.put("back", owg.lgm.ar1.stuff.draw.Back.class);
        objects.put("destabl", owg.lgm.ar1.stuff.fakings.Destabl.class);
        objects.put("destabl2", owg.lgm.ar1.stuff.fakings.Destabl2.class);
        objects.put("sealer", owg.lgm.ar1.stuff.fakings.Sealer.class);
        objects.put("enmy1basll", owg.lgm.ar1.stuff.evilballstuf.Enmy1basll.class);
        objects.put("doorbalst", owg.lgm.ar1.stuff.evilballstuf.Doorbalst.class);
        objects.put("en5was", owg.lgm.ar1.stuff.evilballstuf.En5was.class);
        objects.put("en9was", owg.lgm.ar1.stuff.evilballstuf.En9was.class);
        objects.put("nodangrit", owg.lgm.ar1.stuff.evilballstuf.Nodangrit.class);
        objects.put("en5was2", owg.lgm.ar1.stuff.evilballstuf.En5was2.class);
        objects.put("enrwas", owg.lgm.ar1.stuff.evilballstuf.Enrwas.class);
        objects.put("boss1basll", owg.lgm.ar1.stuff.evilballstuf.Boss1basll.class);
        objects.put("boss3ballst", owg.lgm.ar1.stuff.evilballstuf.Boss3ballst.class);
        objects.put("kycrd", owg.lgm.ar1.kyz.Kycrd.class);
        objects.put("watergem", owg.lgm.ar1.kyz.Watergem.class);
        objects.put("firegem", owg.lgm.ar1.kyz.Firegem.class);
        objects.put("earthgem", owg.lgm.ar1.kyz.Earthgem.class);
        objects.put("airgem", owg.lgm.ar1.kyz.Airgem.class);
        objects.put("object513", owg.lgm.ar1.kyz.Object513.class);
        objects.put("object521", owg.lgm.ar1.kyz.Object521.class);
        objects.put("object515", owg.lgm.ar1.kyz.Object515.class);
        objects.put("object519", owg.lgm.ar1.kyz.Object519.class);
        objects.put("batteries", owg.lgm.ar1.kyz.Batteries.class);
        objects.put("keylayout1", owg.lgm.ar1.kyz.Keylayout1.class);
        objects.put("keylayout2", owg.lgm.ar1.kyz.Keylayout2.class);
        objects.put("keylayout3", owg.lgm.ar1.kyz.Keylayout3.class);
        objects.put("keylayout4", owg.lgm.ar1.kyz.Keylayout4.class);
        objects.put("blauki1", owg.lgm.ar1.kyz.Blauki1.class);
        objects.put("blauki2", owg.lgm.ar1.kyz.Blauki2.class);
        objects.put("blauki3", owg.lgm.ar1.kyz.Blauki3.class);
        objects.put("kylier1", owg.lgm.ar1.kyz.Kylier1.class);
        objects.put("kylier2", owg.lgm.ar1.kyz.Kylier2.class);
        objects.put("kylier3", owg.lgm.ar1.kyz.Kylier3.class);
        objects.put("kylier4", owg.lgm.ar1.kyz.Kylier4.class);
        objects.put("object440", owg.lgm.ar1.kyz.Object440.class);
        objects.put("object441", owg.lgm.ar1.kyz.Object441.class);
        objects.put("object442", owg.lgm.ar1.kyz.Object442.class);
        objects.put("hollbig1", owg.lgm.ar1.kyz.Hollbig1.class);
        objects.put("hollbig2", owg.lgm.ar1.kyz.Hollbig2.class);
        objects.put("hollbig3", owg.lgm.ar1.kyz.Hollbig3.class);
        objects.put("object469", owg.lgm.ar1.kyz.Object469.class);
        objects.put("object470", owg.lgm.ar1.kyz.Object470.class);
        objects.put("object471", owg.lgm.ar1.kyz.Object471.class);
        objects.put("yekgib1", owg.lgm.ar1.kyz.Yekgib1.class);
        objects.put("yekgib2", owg.lgm.ar1.kyz.Yekgib2.class);
        objects.put("yekgib3", owg.lgm.ar1.kyz.Yekgib3.class);
        objects.put("yekgib4", owg.lgm.ar1.kyz.Yekgib4.class);
        objects.put("object281", owg.lgm.ar1.palm.Object281.class);
        objects.put("object282", owg.lgm.ar1.palm.Object282.class);
        objects.put("object283", owg.lgm.ar1.palm.Object283.class);
        objects.put("object285", owg.lgm.ar1.palm.Object285.class);
        objects.put("object286", owg.lgm.ar1.palm.Object286.class);
        objects.put("object287", owg.lgm.ar1.palm.Object287.class);
        objects.put("object288", owg.lgm.ar1.palm.Object288.class);
        objects.put("object289", owg.lgm.ar1.palm.Object289.class);
        objects.put("trtoppa1", owg.lgm.ar1.palm.Trtoppa1.class);
        objects.put("trtoppa2", owg.lgm.ar1.palm.Trtoppa2.class);
        objects.put("metemplis", owg.lgm.ar1.newgates.Metemplis.class);
        objects.put("newgate1", owg.lgm.ar1.newgates.Newgate1.class);
        objects.put("newgate2", owg.lgm.ar1.newgates.Newgate2.class);
        objects.put("newgate3", owg.lgm.ar1.newgates.Newgate3.class);
        objects.put("newgate4", owg.lgm.ar1.newgates.Newgate4.class);
        objects.put("fromtemp", owg.lgm.ar1.newgates.Fromtemp.class);
        objects.put("togirl", owg.lgm.ar1.newgates.Togirl.class);
        objects.put("outtacivtwo", owg.lgm.ar1.newgates.Outtacivtwo.class);
        objects.put("fromgirl", owg.lgm.ar1.newgates.Fromgirl.class);
        objects.put("teletown", owg.lgm.ar1.newgates.Teletown.class);
        objects.put("tonewplac", owg.lgm.ar1.newgates.Tonewplac.class);
        objects.put("toports2", owg.lgm.ar1.newgates.Toports2.class);
        objects.put("fromports2", owg.lgm.ar1.newgates.Fromports2.class);
        objects.put("goingdown", owg.lgm.ar1.newgates.Goingdown.class);
        objects.put("gotofall", owg.lgm.ar1.newgates.Gotofall.class);
        objects.put("gofromfall", owg.lgm.ar1.newgates.Gofromfall.class);
        objects.put("gojungfall", owg.lgm.ar1.newgates.Gojungfall.class);
        objects.put("gobluespec", owg.lgm.ar1.newgates.Gobluespec.class);
        objects.put("waybluspec", owg.lgm.ar1.newgates.Waybluspec.class);
        objects.put("backfrblu", owg.lgm.ar1.newgates.Backfrblu.class);
        objects.put("goblutown", owg.lgm.ar1.newgates.Goblutown.class);
        objects.put("fromblutown", owg.lgm.ar1.newgates.Fromblutown.class);
        objects.put("toniuinn", owg.lgm.ar1.newgates.Toniuinn.class);
        objects.put("frniuinn", owg.lgm.ar1.newgates.Frniuinn.class);
        objects.put("toniushop", owg.lgm.ar1.newgates.Toniushop.class);
        objects.put("fromniushop", owg.lgm.ar1.newgates.Fromniushop.class);
        objects.put("tomachin", owg.lgm.ar1.newgates.Tomachin.class);
        objects.put("fromachin", owg.lgm.ar1.newgates.Fromachin.class);
        objects.put("falltocvtwn", owg.lgm.ar1.newgates.Falltocvtwn.class);
        objects.put("fromstarholl", owg.lgm.ar1.newgates.Fromstarholl.class);
        objects.put("tomotainstrm", owg.lgm.ar1.newgates.Tomotainstrm.class);
        objects.put("tosatrholl", owg.lgm.ar1.newgates.Tosatrholl.class);
        objects.put("towitch", owg.lgm.ar1.newgates.Towitch.class);
        objects.put("fromwitch", owg.lgm.ar1.newgates.Fromwitch.class);
        objects.put("tonobody", owg.lgm.ar1.newgates.Tonobody.class);
        objects.put("fromnobody", owg.lgm.ar1.newgates.Fromnobody.class);
        objects.put("elvtomoiun", owg.lgm.ar1.newgates.Elvtomoiun.class);
        objects.put("tofam", owg.lgm.ar1.newgates.Tofam.class);
        objects.put("fromfam", owg.lgm.ar1.newgates.Fromfam.class);
        objects.put("fromkarte", owg.lgm.ar1.newgates.Fromkarte.class);
        objects.put("doorsolid", owg.lgm.ar1.newgates.Doorsolid.class);
        objects.put("object402", owg.lgm.ar1.newgates.Object402.class);
        objects.put("por3gat1", owg.lgm.ar1.nygatess.Por3gat1.class);
        objects.put("por3gat2", owg.lgm.ar1.nygatess.Por3gat2.class);
        objects.put("por3gat3", owg.lgm.ar1.nygatess.Por3gat3.class);
        objects.put("nobodygate", owg.lgm.ar1.nygatess.Nobodygate.class);
        objects.put("object523", owg.lgm.ar1.nygatess.Object523.class);
        objects.put("brpolac", owg.lgm.ar1.nygatess.Brpolac.class);
        objects.put("backdownn", owg.lgm.ar1.nygatess.Backdownn.class);
        objects.put("fromtoppx", owg.lgm.ar1.nygatess.Fromtoppx.class);
        objects.put("totoppx", owg.lgm.ar1.nygatess.Totoppx.class);
        objects.put("todemtp", owg.lgm.ar1.nygatess.Todemtp.class);
        objects.put("fromdemtp", owg.lgm.ar1.nygatess.Fromdemtp.class);
        objects.put("togates4", owg.lgm.ar1.nygatess.Togates4.class);
        objects.put("fromgates4", owg.lgm.ar1.nygatess.Fromgates4.class);
        objects.put("tonew1", owg.lgm.ar1.nygatess.Tonew1.class);
        objects.put("tonew2", owg.lgm.ar1.nygatess.Tonew2.class);
        objects.put("fromnew1", owg.lgm.ar1.nygatess.Fromnew1.class);
        objects.put("fromnew2", owg.lgm.ar1.nygatess.Fromnew2.class);
        objects.put("tocavtel", owg.lgm.ar1.nygatess.Tocavtel.class);
        objects.put("telyfn1", owg.lgm.ar1.nygatess.Telyfn1.class);
        objects.put("telyfn2", owg.lgm.ar1.nygatess.Telyfn2.class);
        objects.put("telyfn3", owg.lgm.ar1.nygatess.Telyfn3.class);
        objects.put("togitz", owg.lgm.ar1.nygatess.Togitz.class);
        objects.put("fromgitz", owg.lgm.ar1.nygatess.Fromgitz.class);
        objects.put("tofam2", owg.lgm.ar1.nygatess.Tofam2.class);
        objects.put("fromfam2", owg.lgm.ar1.nygatess.Fromfam2.class);
        objects.put("fromniucix", owg.lgm.ar1.nygatess.Fromniucix.class);
        objects.put("toniucix", owg.lgm.ar1.nygatess.Toniucix.class);
        objects.put("tobiich", owg.lgm.ar1.nygatess.Tobiich.class);
        objects.put("frombiich", owg.lgm.ar1.nygatess.Frombiich.class);
        objects.put("toundr", owg.lgm.ar1.nygatess.Toundr.class);
        objects.put("fromundr", owg.lgm.ar1.nygatess.Fromundr.class);
        objects.put("lavagets", owg.lgm.ar1.nygatess.Lavagets.class);
        objects.put("logava", owg.lgm.ar1.nygatess.Logava.class);
        objects.put("lromfava", owg.lgm.ar1.nygatess.Lromfava.class);
        objects.put("lroneltown", owg.lgm.ar1.nygatess.Lroneltown.class);
        objects.put("toerth", owg.lgm.ar1.nygatess.Toerth.class);
        objects.put("towat", owg.lgm.ar1.nygatess.Towat.class);
        objects.put("tofir", owg.lgm.ar1.nygatess.Tofir.class);
        objects.put("toairrr", owg.lgm.ar1.nygatess.Toairrr.class);
        objects.put("fromerth", owg.lgm.ar1.nygatess.Fromerth.class);
        objects.put("fromwat", owg.lgm.ar1.nygatess.Fromwat.class);
        objects.put("frofir", owg.lgm.ar1.nygatess.Frofir.class);
        objects.put("froria", owg.lgm.ar1.nygatess.Froria.class);
        objects.put("Credsign", owg.lgm.ar1.shilt.Credsign.class);
        objects.put("dtownsign", owg.lgm.ar1.shilt.Dtownsign.class);
        objects.put("jtownsign", owg.lgm.ar1.shilt.Jtownsign.class);
        objects.put("ctownsign", owg.lgm.ar1.shilt.Ctownsign.class);
        objects.put("ntownsign", owg.lgm.ar1.shilt.Ntownsign.class);
        objects.put("minesign", owg.lgm.ar1.shilt.Minesign.class);
        objects.put("Metalsign", owg.lgm.ar1.shilt.Metalsign.class);
        objects.put("Muntasign", owg.lgm.ar1.shilt.Muntasign.class);
        objects.put("Jungl", owg.lgm.ar1.shilt.Jungl.class);
        objects.put("object564", owg.lgm.ar1.shilt.Object564.class);
        objects.put("Topofm", owg.lgm.ar1.shilt.Topofm.class);
        objects.put("Bigkysign1", owg.lgm.ar1.shilt.Bigkysign1.class);
        objects.put("Bigkysign2", owg.lgm.ar1.shilt.Bigkysign2.class);
        objects.put("specialdror", owg.lgm.ar1.shilt.Specialdror.class);
        objects.put("Stairsign", owg.lgm.ar1.shilt.Stairsign.class);
        objects.put("beachesign", owg.lgm.ar1.shilt.Beachesign.class);
        objects.put("alitnsign", owg.lgm.ar1.shilt.Alitnsign.class);
        objects.put("mapscroll", owg.lgm.ar1.map.Mapscroll.class);
        objects.put("mapobj", owg.lgm.ar1.map.Mapobj.class);
        objects.put("righplc", owg.lgm.ar1.map.Righplc.class);
        objects.put("mineplc", owg.lgm.ar1.map.Mineplc.class);
        objects.put("junglaplc", owg.lgm.ar1.map.Junglaplc.class);
        objects.put("jeytoonplc", owg.lgm.ar1.map.Jeytoonplc.class);
        objects.put("lavaplc", owg.lgm.ar1.map.Lavaplc.class);
        objects.put("metahplc", owg.lgm.ar1.map.Metahplc.class);
        objects.put("doownbplc", owg.lgm.ar1.map.Doownbplc.class);
        objects.put("hiddnplc", owg.lgm.ar1.map.Hiddnplc.class);
        objects.put("caveblplc", owg.lgm.ar1.map.Caveblplc.class);
        objects.put("cavtwnplc", owg.lgm.ar1.map.Cavtwnplc.class);
        objects.put("mountplc", owg.lgm.ar1.map.Mountplc.class);
        objects.put("toppyplc", owg.lgm.ar1.map.Toppyplc.class);
        objects.put("elemplc", owg.lgm.ar1.map.Elemplc.class);
        objects.put("lava", owg.lgm.ar1.lava.Lava.class);
        objects.put("badlava", owg.lgm.ar1.lava.Badlava.class);
        objects.put("risemok", owg.lgm.ar1.lava.Risemok.class);
        objects.put("smokerise", owg.lgm.ar1.lava.Smokerise.class);
        objects.put("exitnot", owg.lgm.ar1.Exitnot.class);
        objects.put("exitnot", owg.lgm.ar1.Muzika.class);
        objects.put("object626", owg.lgm.ar1.Object626.class);
        objects.put("gronsymb", owg.lgm.ar1.Gronsymb.class);
        objects.put("wattsymb", owg.lgm.ar1.Wattsymb.class);
        objects.put("frirsymb", owg.lgm.ar1.Frirsymb.class);
        objects.put("arirsymb", owg.lgm.ar1.Arirsymb.class);
        objects.put("object609", owg.lgm.ar1.Object609.class);
        objects.put("object610", owg.lgm.ar1.Object610.class);
        objects.put("parroteat", owg.lgm.ar1.Parroteat.class);
        objects.put("object600", owg.lgm.ar1.Object600.class);
        objects.put("notdrwn", owg.lgm.ar1.Notdrwn.class);
        objects.put("elemkyey", owg.lgm.ar1.Elemkyey.class);
        objects.put("windevil", owg.lgm.ar1.Windevil.class);
        objects.put("credittard", owg.lgm.ar1.Credittard.class);
        objects.put("object524", owg.lgm.ar1.Object524.class);
        objects.put("object527", owg.lgm.ar1.Object527.class);
        objects.put("object529", owg.lgm.ar1.Object529.class);
        objects.put("animal", owg.lgm.ar1.Animal.class);
        objects.put("deaddy", owg.lgm.ar1.Deaddy.class);
        objects.put("destcret", owg.lgm.ar1.Destcret.class);
        objects.put("tuudna", owg.lgm.ar1.Tuudna.class);
        objects.put("backtothwl", owg.lgm.ar1.back.Backtothwl.class);
        objects.put("ingnr1", owg.lgm.ar1.ingredianser.Ingnr1.class);
        objects.put("ingnr2", owg.lgm.ar1.ingredianser.Ingnr2.class);
        objects.put("ingnr3", owg.lgm.ar1.ingredianser.Ingnr3.class);
        objects.put("ingnr4", owg.lgm.ar1.ingredianser.Ingnr4.class);
        objects.put("ingnr5", owg.lgm.ar1.ingredianser.Ingnr5.class);
        objects.put("ingnr6", owg.lgm.ar1.ingredianser.Ingnr6.class);
        objects.put("dcvmush", owg.lgm.ar1.ingredianser.Dcvmush.class);
        objects.put("dcvmush2", owg.lgm.ar1.ingredianser.Dcvmush2.class);
        objects.put("dcvglass", owg.lgm.ar1.ingredianser.Dcvglass.class);
        objects.put("balckmsh", owg.lgm.ar1.ingredianser.Balckmsh.class);
        objects.put("dcvbush", owg.lgm.ar1.ingredianser.Dcvbush.class);
        objects.put("bigtree", owg.lgm.ar1.Bigtree.class);
        objects.put("movflour", owg.lgm.ar1.Movflour.class);
        objects.put("treeguy", owg.lgm.ar1.Treeguy.class);
        objects.put("hemmemy4", owg.lgm.ar1.enemy.Hemmemy4.class);
        objects.put("hemmemy8", owg.lgm.ar1.enemy.Hemmemy8.class);
        objects.put("fakerhole", owg.lgm.ar1.enemy.Fakerhole.class);
        objects.put("enemy3", owg.lgm.ar1.enemy.Enemy3.class);
        objects.put("object416", owg.lgm.ar1.enemy.Object416.class);
        objects.put("enemy2", owg.lgm.ar1.enemy.Enemy2.class);
        objects.put("object499", owg.lgm.ar1.enemy.Object499.class);
        objects.put("enemy56", owg.lgm.ar1.enemy.Enemy56.class);
        objects.put("fakeren2", owg.lgm.ar1.enemy.Fakeren2.class);
        objects.put("shotblb1", owg.lgm.ar1.enemy.Shotblb1.class);
        objects.put("laser1", owg.lgm.ar1.enemy.Laser1.class);
        objects.put("windsds", owg.lgm.ar1.enemy.Windsds.class);
        objects.put("object592", owg.lgm.ar1.enemy.Object592.class);
        objects.put("nospid", owg.lgm.ar1.enemy.Nospid.class);
        objects.put("object591", owg.lgm.ar1.enemy.Object591.class);
        objects.put("fallrock", owg.lgm.ar1.enemy.Fallrock.class);
        objects.put("nospid2", owg.lgm.ar1.enemy.Nospid2.class);
        objects.put("poisarrw", owg.lgm.ar1.enemy.Poisarrw.class);
        objects.put("skippn3", owg.lgm.ar1.enemy.Skippn3.class);
        objects.put("object415", owg.lgm.ar1.enemy.Object415.class);
        objects.put("ennemy5", owg.lgm.ar1.enemy.Ennemy5.class);
        objects.put("ennemy6", owg.lgm.ar1.enemy.Ennemy6.class);
        objects.put("ennemy7", owg.lgm.ar1.enemy.Ennemy7.class);
        objects.put("prenmy9", owg.lgm.ar1.enemy.Prenmy9.class);
        objects.put("object528", owg.lgm.ar1.enemy.Object528.class);
        objects.put("enemy1", owg.lgm.ar1.enemy.Enemy1.class);
        objects.put("top", owg.lgm.ar1.Top.class);
        objects.put("ground", owg.lgm.ar1.Ground.class);
        objects.put("bigruung", owg.lgm.ar1.Bigruung.class);
        objects.put("misksolid", owg.lgm.ar1.fakedollidd.Misksolid.class);
        objects.put("immetdest", owg.lgm.ar1.fakedollidd.Immetdest.class);
        objects.put("object246", owg.lgm.ar1.Object246.class);
        objects.put("object247", owg.lgm.ar1.Object247.class);
        objects.put("briggd", owg.lgm.ar1.Briggd.class);
        objects.put("brigd2", owg.lgm.ar1.Brigd2.class);
        objects.put("brigd3", owg.lgm.ar1.Brigd3.class);
        objects.put("diagr", owg.lgm.ar1.Diagr.class);
        objects.put("diagl", owg.lgm.ar1.Diagl.class);
        objects.put("backgren", owg.lgm.ar1.Backgren.class);
        objects.put("nothing", owg.lgm.ar1.Nothing.class);
        objects.put("silentex", owg.lgm.ar1.explodd.Silentex.class);
        objects.put("explodd1", owg.lgm.ar1.explodd.Explodd1.class);
        objects.put("explodd2", owg.lgm.ar1.explodd.Explodd2.class);
        objects.put("explodd3", owg.lgm.ar1.explodd.Explodd3.class);
        objects.put("object189", owg.lgm.ar1.explodd.Object189.class);
        objects.put("sun", owg.lgm.ar1.Sun.class);
        objects.put("fall55", owg.lgm.ar1.fallers.Fall55.class);
        objects.put("fall1515", owg.lgm.ar1.fallers.Fall1515.class);
        objects.put("keyz2fall", owg.lgm.ar1.fallers.Keyz2fall.class);
        objects.put("object438", owg.lgm.ar1.fallers.Object438.class);
        objects.put("fallholl2", owg.lgm.ar1.fallers.Fallholl2.class);
        objects.put("valuer5", owg.lgm.ar1.Valuer5.class);
        objects.put("valuer15", owg.lgm.ar1.Valuer15.class);
        objects.put("nevamord", owg.lgm.ar1.onlyonce.Nevamord.class);
        objects.put("nevamord2", owg.lgm.ar1.onlyonce.Nevamord2.class);
        objects.put("nevamord3", owg.lgm.ar1.onlyonce.Nevamord3.class);
        objects.put("nevamord4", owg.lgm.ar1.onlyonce.Nevamord4.class);
        objects.put("nevamord5", owg.lgm.ar1.onlyonce.Nevamord5.class);
        objects.put("nevamord6", owg.lgm.ar1.onlyonce.Nevamord6.class);
    }
}
