package owg.lgm.gl;

import java.nio.ShortBuffer;

import com.jogamp.opengl.GL2ES1;

public class IndexBufferObject extends BufferObject
{
	protected ShortBuffer data;
	
	public IndexBufferObject(GL2ES1 gl, ShortBuffer data, BufferUsage usage)
	{
		super(GL2ES1.GL_ELEMENT_ARRAY_BUFFER, data.position(), data.remaining(), usage);
		this.data = data;
		init(gl);
	}

	protected IndexBufferObject() {
		super(GL2ES1.GL_ELEMENT_ARRAY_BUFFER, 0, 0, null);
	}
	
	@Override
	public ShortBuffer getData()
	{
		return data;
	}
	
	public void setData(ShortBuffer data)
	{
		this.data = data;
		this.eOffset = data.position();
		this.eSize = data.remaining();
		replace();
	}
}
