package owg.lgm.gl;

import com.jogamp.common.util.IntObjectHashMap;
import com.jogamp.opengl.GL2ES1;

public enum PrimitiveType
{
	POINTS(GL2ES1.GL_POINTS),
	LINES(GL2ES1.GL_LINES),
	LINE_STRIP(GL2ES1.GL_LINE_STRIP),
	LINE_LOOP(GL2ES1.GL_LINE_LOOP),
	TRIANGLES(GL2ES1.GL_TRIANGLES),
	TRIANGLE_STRIP(GL2ES1.GL_TRIANGLE_STRIP),
	TRIANGLE_FAN(GL2ES1.GL_TRIANGLE_FAN);
	
	protected static final IntObjectHashMap map;
	static
	{
		map = new IntObjectHashMap();
		for(PrimitiveType v : values())
			map.put(v.value, v);
	}
	public static PrimitiveType of(int glPrimitiveType) throws IllegalArgumentException
	{
		PrimitiveType r = (PrimitiveType) map.get(glPrimitiveType);
		if(r == null)
			throw new IllegalArgumentException("Unrecognized primitive type enum: "+glPrimitiveType+" ("+Integer.toHexString(glPrimitiveType)+")");
		return r;
	}
    public final int value;

    PrimitiveType(int value)
    {
        this.value = value;
    }
}
