package owg.lgm.gl.fbo;

import com.jogamp.common.util.IntObjectHashMap;
import com.jogamp.opengl.GL2ES1;

public enum AttachmentPoint
{
	COLOR_ATTACHMENT0(GL2ES1.GL_COLOR_ATTACHMENT0),
	DEPTH_ATTACHMENT(GL2ES1.GL_DEPTH_ATTACHMENT),
	STENCIL_ATTACHMENT(GL2ES1.GL_STENCIL_ATTACHMENT);
	
	protected static final IntObjectHashMap map;
	static
	{
		map = new IntObjectHashMap();
		for(AttachmentPoint v : values()) {
			map.put(v.value, v);
		}
	}
	public static AttachmentPoint of(int glFormat) throws IllegalArgumentException
	{
		AttachmentPoint r = (AttachmentPoint) map.get(glFormat);
		if(r == null)
			throw new IllegalArgumentException("Unrecognized framebuffer attachment point enum: "+glFormat+" ("+Integer.toHexString(glFormat)+")");
		return r;
	}
    
    public final int value;

	AttachmentPoint(int value)
    {
        this.value = value;
    }
}
