package owg.lgm.room;

import owg.lgm.gl.Tex2D;
import owg.util.compass.Compass;

public enum TransitionKind implements TransitionFunc
{
	NONE(null), // 0
	CREATE_FROM_LEFT(new DirectionalTransition(Compass.EAST, 1, true, 1, true)), //1 
	CREATE_FROM_RIGHT(new DirectionalTransition(Compass.WEST, 1, true, 1, true)), // 2
	CREATE_FROM_TOP(new DirectionalTransition(Compass.SOUTH, 1, true, 1, true)), // 3
	CREATE_FROM_BOTTOM(new DirectionalTransition(Compass.NORTH, 1, true, 1, true)), // 4
	CREATE_FROM_CENTER(new CentralTransition()), // 5
	SHIFT_FROM_LEFT(new DirectionalTransition(Compass.EAST, 1, true, 1, false)), // 6
	SHIFT_FROM_RIGHT(new DirectionalTransition(Compass.WEST, 1, true, 1, false)), // 7
	SHIFT_FROM_TOP(new DirectionalTransition(Compass.SOUTH, 1, true, 1, false)), // 8
	SHIFT_FROM_BOTTOM(new DirectionalTransition(Compass.NORTH, 1, true, 1, false)), // 9
	INTERLACED_FROM_LEFT(new InterlacingTransition(Compass.EAST)), // 10
	INTERLACED_FROM_RIGHT(new InterlacingTransition(Compass.WEST)), // 11
	INTERLACED_FROM_TOP(new InterlacingTransition(Compass.SOUTH)), // 12
	INTERLACED_FROM_BOTTOM(new InterlacingTransition(Compass.NORTH)), // 13
	PUSH_FROM_LEFT(new DirectionalTransition(Compass.EAST, 1, false, 1, false)), // 14
	PUSH_FROM_RIGHT(new DirectionalTransition(Compass.WEST, 1, false, 1, false)), // 15
	PUSH_FROM_TOP(new DirectionalTransition(Compass.SOUTH, 1, false, 1, false)), // 16
	PUSH_FROM_BOTTOM(new DirectionalTransition(Compass.NORTH, 1, false, 1, false)), // 17
	ROTATE_TO_THE_LEFT(new RotateTransition(180)), // 18
	ROTATE_TO_THE_RIGHT(new RotateTransition(-180)), // 19
	BLEND_THE_ROOMS(new FadeTransition(false)), // 20
	FADE_OUT_AND_IN(new FadeTransition(true)); // 21
	
	public static final TransitionKind[] VALUES = values();
	
	protected final TransitionFunc func;
	
	TransitionKind(TransitionFunc func)
	{
		this.func = func;
	}
	
	@Override
	public void render(Tex2D prev, Tex2D next, float interp)
	{
		func.render(prev, next, interp);
	}
}
