package owg.lgm.util;

import owg.util.math.IntDiv;

public class Letterbox
{
	public static final String INTEGER_SCALING = "gfx.integerscaling";
	
	public static void getViewport(float[] viewport, int off, int surfaceWidth, int surfaceHeight, int dataWidth, int dataHeight)
	{
		if("true".equals(System.getProperty(INTEGER_SCALING)))
			getIntegerScalingViewport(viewport, off, surfaceWidth, surfaceHeight, dataWidth, dataHeight);
		else
			getFullSizeViewport(viewport, off, surfaceWidth, surfaceHeight, dataWidth, dataHeight);
	} 
	public static void getFullSizeViewport(float[] viewport, int off, int surfaceWidth, int surfaceHeight, int dataWidth, int dataHeight)
	{
		if(dataWidth > (surfaceWidth*dataHeight) / surfaceHeight) {
			viewport[off  ] = 0;
			viewport[off+2] = surfaceWidth;
			viewport[off+3] = (viewport[off+2] * dataHeight) / dataWidth;
			viewport[off+1] = (surfaceHeight-viewport[off+3])/2.0f;
		} else {
			viewport[off+1] = 0;
			viewport[off+3] = surfaceHeight;
			viewport[off+2] = (viewport[off+3] * dataWidth) / dataHeight;
			viewport[off  ] = (surfaceWidth-viewport[off+2])/2.0f;
		}
	} 
	public static void getIntegerScalingViewport(float[] viewport, int off, int surfaceWidth, int surfaceHeight, int dataWidth, int dataHeight)
	{
		if(dataWidth > (surfaceWidth*dataHeight) / surfaceHeight) {
			if(surfaceWidth >= dataWidth)
				viewport[off+2] = (surfaceWidth/dataWidth) * dataWidth;
			else
				viewport[off+2] = dataWidth / IntDiv.ceilDiv(dataWidth, surfaceWidth);
			viewport[off+3] = (viewport[off+2] * dataHeight) / dataWidth;
			
		} else {
			if(surfaceHeight >= dataHeight)
				viewport[off+3] = (surfaceHeight/dataHeight) * dataHeight;
			else
				viewport[off+3] = dataHeight / IntDiv.ceilDiv(dataHeight, surfaceHeight);
			viewport[off+2] = (viewport[off+3] * dataWidth) / dataHeight;
		}
		viewport[off  ] = (surfaceWidth-viewport[off+2])/2.0f;
		viewport[off+1] = (surfaceHeight-viewport[off+3])/2.0f;
	}
}
