package owg.competent;

public class DSPErrorState 
{
	/**The DSP error code that caused this error state.*/
	public final DSPErrorCode code;
	/**The DSP routine where the error occurred.*/
	public final DSPRoutine routine;
	/**The values of the registers, in the native RISVM order.*/
	public final int[] registers;
	/**The stack trace for the error, where the deepest call appears first. 
	 * The trace elements are instruction pointer addresses in RISVM memory.
	 * The stack trace may be incomplete or contain errors if the program has corrupted 
	 * its stack or if the recommended calling convention is not followed.*/
	public final short[] stackTrace;
	
	public DSPErrorState(DSPErrorCode code, DSPRoutine routine, int[] registers, short[] stackTrace) {
		super();
		this.code = code;
		this.routine = routine;
		this.registers = registers;
		this.stackTrace = stackTrace;
	}
}
